import axios from "@/config/axios"

export default {
  getBasicTableList(params) {
    return axios.get('/basictaskitem/index', { params })
  },
  getContraintList(params) {
    return axios.get('/rigidityconstraintitem/index', { params })
  },
  getRewardList(params) {
    return axios.get('/specialpoweritem/index', { params })
  },
  exportBasicList(params){
    return axios.get('/basictaskitem/export',{params})
  },
  exportContraintList(params){
    return axios.get('/rigidityconstraintitem/export',{params})
  },
  exportRewardList(params){
    return axios.get('/specialpoweritem/export',{params})
  }
}